"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// meta.ts
var meta_exports = {};
__export(meta_exports, {
  createAutomation: () => createAutomation2,
  deleteAutomation: () => deleteAutomation2,
  generateActionInputMappingFromTemplate: () => generateActionInputMappingFromTemplate2,
  getActionsQuotaInfo: () => getActionsQuotaInfo2,
  getAutomation: () => getAutomation2,
  getAutomationActivationStats: () => getAutomationActivationStats2,
  migrationUpdateAutomation: () => migrationUpdateAutomation2,
  overrideApplicationAutomation: () => overrideApplicationAutomation2,
  queryAutomations: () => queryAutomations2,
  updateAutomation: () => updateAutomation2,
  validateAutomation: () => validateAutomation2,
  validateAutomationById: () => validateAutomationById2
});
module.exports = __toCommonJS(meta_exports);

// src/automations-v1-automation-automations-service.http.ts
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
var import_timestamp = require("@wix/sdk-runtime/transformations/timestamp");
var import_timestamp2 = require("@wix/sdk-runtime/transformations/timestamp");
var import_field_mask = require("@wix/sdk-runtime/transformations/field-mask");
var import_transform_paths = require("@wix/sdk-runtime/transformations/transform-paths");
var import_rest_modules2 = require("@wix/sdk-runtime/rest-modules");
function resolveComWixpressAutomationsServiceAutomationsServiceUrl(opts) {
  const domainToMappings = {
    "manage._base_domain_": [
      {
        srcPath: "/_api/automations-app",
        destPath: "/api"
      },
      {
        srcPath: "/automations-app",
        destPath: ""
      }
    ],
    "api._api_base_domain_": [
      {
        srcPath: "/automations-app",
        destPath: ""
      }
    ]
  };
  return (0, import_rest_modules2.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_automations_automations-service";
function createAutomation(payload) {
  function __createAutomation({ host }) {
    const serializedData = (0, import_transform_paths.transformPaths)(payload, [
      {
        transformFn: import_timestamp.transformSDKTimestampToRESTTimestamp,
        paths: [
          { path: "automation.createdDate" },
          { path: "automation.updatedDate" }
        ]
      }
    ]);
    const metadata = {
      entityFqdn: "wix.automations.v1.automation",
      method: "POST",
      methodFqn: "com.wixpress.automations.service.AutomationsService.CreateAutomation",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressAutomationsServiceAutomationsServiceUrl({
        protoPath: "/v1/automations",
        data: serializedData,
        host
      }),
      data: serializedData,
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp2.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "automation.createdDate" },
            { path: "automation.updatedDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __createAutomation;
}
function getAutomation(payload) {
  function __getAutomation({ host }) {
    const metadata = {
      entityFqdn: "wix.automations.v1.automation",
      method: "GET",
      methodFqn: "com.wixpress.automations.service.AutomationsService.GetAutomation",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressAutomationsServiceAutomationsServiceUrl({
        protoPath: "/v1/automations/{automationId}",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload),
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp2.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "automation.createdDate" },
            { path: "automation.updatedDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __getAutomation;
}
function updateAutomation(payload) {
  function __updateAutomation({ host }) {
    const serializedData = (0, import_transform_paths.transformPaths)(payload, [
      {
        transformFn: import_field_mask.transformSDKFieldMaskToRESTFieldMask,
        paths: [{ path: "mask" }]
      },
      {
        transformFn: import_timestamp.transformSDKTimestampToRESTTimestamp,
        paths: [
          { path: "automation.createdDate" },
          { path: "automation.updatedDate" }
        ]
      }
    ]);
    const metadata = {
      entityFqdn: "wix.automations.v1.automation",
      method: "PATCH",
      methodFqn: "com.wixpress.automations.service.AutomationsService.UpdateAutomation",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressAutomationsServiceAutomationsServiceUrl({
        protoPath: "/v1/automations/{automation.id}",
        data: serializedData,
        host
      }),
      data: serializedData,
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp2.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "automation.createdDate" },
            { path: "automation.updatedDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __updateAutomation;
}
function migrationUpdateAutomation(payload) {
  function __migrationUpdateAutomation({ host }) {
    const serializedData = (0, import_transform_paths.transformPaths)(payload, [
      {
        transformFn: import_timestamp.transformSDKTimestampToRESTTimestamp,
        paths: [
          { path: "automation.createdDate" },
          { path: "automation.updatedDate" }
        ]
      }
    ]);
    const metadata = {
      entityFqdn: "wix.automations.v1.automation",
      method: "PATCH",
      methodFqn: "com.wixpress.automations.service.AutomationsService.MigrationUpdateAutomation",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressAutomationsServiceAutomationsServiceUrl({
        protoPath: "/v1/automations/migrations/{automation.id}",
        data: serializedData,
        host
      }),
      data: serializedData,
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp2.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "automation.createdDate" },
            { path: "automation.updatedDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __migrationUpdateAutomation;
}
function deleteAutomation(payload) {
  function __deleteAutomation({ host }) {
    const metadata = {
      entityFqdn: "wix.automations.v1.automation",
      method: "DELETE",
      methodFqn: "com.wixpress.automations.service.AutomationsService.DeleteAutomation",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressAutomationsServiceAutomationsServiceUrl({
        protoPath: "/v1/automations/{automationId}",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload)
    };
    return metadata;
  }
  return __deleteAutomation;
}
function queryAutomations(payload) {
  function __queryAutomations({ host }) {
    const metadata = {
      entityFqdn: "wix.automations.v1.automation",
      method: "POST",
      methodFqn: "com.wixpress.automations.service.AutomationsService.QueryAutomations",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressAutomationsServiceAutomationsServiceUrl({
        protoPath: "/v1/automations/query",
        data: payload,
        host
      }),
      data: payload,
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp2.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "automations.createdDate" },
            { path: "automations.updatedDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __queryAutomations;
}
function overrideApplicationAutomation(payload) {
  function __overrideApplicationAutomation({ host }) {
    const serializedData = (0, import_transform_paths.transformPaths)(payload, [
      {
        transformFn: import_timestamp.transformSDKTimestampToRESTTimestamp,
        paths: [
          { path: "automation.createdDate" },
          { path: "automation.updatedDate" }
        ]
      }
    ]);
    const metadata = {
      entityFqdn: "wix.automations.v1.automation",
      method: "POST",
      methodFqn: "com.wixpress.automations.service.AutomationsService.OverrideApplicationAutomation",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressAutomationsServiceAutomationsServiceUrl({
        protoPath: "/v1/automations/override",
        data: serializedData,
        host
      }),
      data: serializedData,
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp2.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "automation.createdDate" },
            { path: "automation.updatedDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __overrideApplicationAutomation;
}
function validateAutomationById(payload) {
  function __validateAutomationById({ host }) {
    const metadata = {
      entityFqdn: "wix.automations.v1.automation",
      method: "POST",
      methodFqn: "com.wixpress.automations.service.AutomationsService.ValidateAutomationById",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressAutomationsServiceAutomationsServiceUrl({
        protoPath: "/v1/automations/{automationId}/validate",
        data: payload,
        host
      }),
      data: payload
    };
    return metadata;
  }
  return __validateAutomationById;
}
function validateAutomation(payload) {
  function __validateAutomation({ host }) {
    const serializedData = (0, import_transform_paths.transformPaths)(payload, [
      {
        transformFn: import_timestamp.transformSDKTimestampToRESTTimestamp,
        paths: [
          { path: "automation.createdDate" },
          { path: "automation.updatedDate" }
        ]
      }
    ]);
    const metadata = {
      entityFqdn: "wix.automations.v1.automation",
      method: "POST",
      methodFqn: "com.wixpress.automations.service.AutomationsService.ValidateAutomation",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressAutomationsServiceAutomationsServiceUrl({
        protoPath: "/v1/automations/validate",
        data: serializedData,
        host
      }),
      data: serializedData
    };
    return metadata;
  }
  return __validateAutomation;
}
function getAutomationActivationStats(payload) {
  function __getAutomationActivationStats({ host }) {
    const metadata = {
      entityFqdn: "wix.automations.v1.automation",
      method: "GET",
      methodFqn: "com.wixpress.automations.service.AutomationsService.GetAutomationActivationStats",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressAutomationsServiceAutomationsServiceUrl({
        protoPath: "/v1/automations/{automationId}/activation-stats",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload),
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp2.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "activationReports.creationDate" },
            { path: "activationReports.updateDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __getAutomationActivationStats;
}
function getActionsQuotaInfo(payload) {
  function __getActionsQuotaInfo({ host }) {
    const metadata = {
      entityFqdn: "wix.automations.v1.automation",
      method: "GET",
      methodFqn: "com.wixpress.automations.service.AutomationsService.GetActionsQuotaInfo",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressAutomationsServiceAutomationsServiceUrl({
        protoPath: "/v1/automations/actions/quota",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload),
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp2.transformRESTTimestampToSDKTimestamp,
          paths: [
            {
              path: "actionProviderQuotaInfo.actionQuotaInfo.quotaInfo.quotas.renewalDate"
            }
          ]
        }
      ])
    };
    return metadata;
  }
  return __getActionsQuotaInfo;
}
function generateActionInputMappingFromTemplate(payload) {
  function __generateActionInputMappingFromTemplate({ host }) {
    const metadata = {
      entityFqdn: "wix.automations.v1.automation",
      method: "POST",
      methodFqn: "com.wixpress.automations.service.AutomationsService.GenerateActionInputMappingFromTemplate",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressAutomationsServiceAutomationsServiceUrl({
        protoPath: "/v1/automations/actions/generate-action-input-mapping-from-template",
        data: payload,
        host
      }),
      data: payload
    };
    return metadata;
  }
  return __generateActionInputMappingFromTemplate;
}

// src/automations-v1-automation-automations-service.meta.ts
function createAutomation2() {
  const payload = {};
  const getRequestOptions = createAutomation(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/v1/automations",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function getAutomation2() {
  const payload = { automationId: ":automationId" };
  const getRequestOptions = getAutomation(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v1/automations/{automationId}",
    pathParams: { automationId: "automationId" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function updateAutomation2() {
  const payload = { automation: { id: ":automationId" } };
  const getRequestOptions = updateAutomation(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "PATCH",
    path: "/v1/automations/{automation.id}",
    pathParams: { automationId: "automationId" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function migrationUpdateAutomation2() {
  const payload = { automation: { id: ":automationId" } };
  const getRequestOptions = migrationUpdateAutomation(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "PATCH",
    path: "/v1/automations/migrations/{automation.id}",
    pathParams: { automationId: "automationId" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function deleteAutomation2() {
  const payload = { automationId: ":automationId" };
  const getRequestOptions = deleteAutomation(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "DELETE",
    path: "/v1/automations/{automationId}",
    pathParams: { automationId: "automationId" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function queryAutomations2() {
  const payload = {};
  const getRequestOptions = queryAutomations(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/v1/automations/query",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function overrideApplicationAutomation2() {
  const payload = {};
  const getRequestOptions = overrideApplicationAutomation(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/v1/automations/override",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function validateAutomationById2() {
  const payload = { automationId: ":automationId" };
  const getRequestOptions = validateAutomationById(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/v1/automations/{automationId}/validate",
    pathParams: { automationId: "automationId" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function validateAutomation2() {
  const payload = {};
  const getRequestOptions = validateAutomation(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/v1/automations/validate",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function getAutomationActivationStats2() {
  const payload = { automationId: ":automationId" };
  const getRequestOptions = getAutomationActivationStats(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v1/automations/{automationId}/activation-stats",
    pathParams: { automationId: "automationId" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function getActionsQuotaInfo2() {
  const payload = {};
  const getRequestOptions = getActionsQuotaInfo(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v1/automations/actions/quota",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function generateActionInputMappingFromTemplate2() {
  const payload = {};
  const getRequestOptions = generateActionInputMappingFromTemplate(
    payload
  );
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/v1/automations/actions/generate-action-input-mapping-from-template",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  createAutomation,
  deleteAutomation,
  generateActionInputMappingFromTemplate,
  getActionsQuotaInfo,
  getAutomation,
  getAutomationActivationStats,
  migrationUpdateAutomation,
  overrideApplicationAutomation,
  queryAutomations,
  updateAutomation,
  validateAutomation,
  validateAutomationById
});
//# sourceMappingURL=meta.js.map